Package org.apache.bsf

# Class BSF_Log

java.lang.Object
org.apache.bsf.BSF_Log

public class BSF_Log extends Object
This class is used in BSF for logging (a delegator for org.apache.commons.logging, which is needed for compilation) using the `org.apache.commons.logging.Log` methods. Therefore this class implements all the `org.apache.commons.logging.Log` methods. If `org.apache.commons.logging.LogFactory` is available, then this class is used to get an `org.apache.commons.logging.Log` instance to which to forward the message. Therefore, if Apache's common logging is available, then it is employed. If Apache's commons logging is not available then a no-op behaviour is employed, modelled after `org.apache.commons.logging.impl.NoOpLog`.

Author:
  Rony G. Flatscher, 2006-12-08

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSF_Log()`
  `BSF_Log(Class clazz)`
  `BSF_Log(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `debug(Object msg)`
  `void`
  `debug(Object msg, Throwable t)`
  `void`
  `error(Object msg)`
  `void`
  `error(Object msg, Throwable t)`
  `void`
  `fatal(Object msg)`
  `void`
  `fatal(Object msg, Throwable t)`
  `void`
  `info(Object msg)`
  `void`
  `info(Object msg, Throwable t)`
  `boolean`
  `isDebugEnabled()`
  `boolean`
  `isErrorEnabled()`
  `boolean`
  `isFatalEnabled()`
  `boolean`
  `isInfoEnabled()`
  `boolean`
  `isTraceEnabled()`
  `boolean`
  `isWarnEnabled()`
  `static void`
  `main(String[] args)`
  `void`
  `trace(Object msg)`
  `void`
  `trace(Object msg, Throwable t)`
  `void`
  `warn(Object msg)`
  `void`
  `warn(Object msg, Throwable t)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BSF_Log

    public BSF_Log()

  - ### BSF_Log

    public BSF_Log(String name)

  - ### BSF_Log

    public BSF_Log(Class clazz)

- ## Method Details

  - ### debug

    public void debug(Object msg)

  - ### debug

    public void debug(Object msg, Throwable t)

  - ### error

    public void error(Object msg)

  - ### error

    public void error(Object msg, Throwable t)

  - ### fatal

    public void fatal(Object msg)

  - ### fatal

    public void fatal(Object msg, Throwable t)

  - ### info

    public void info(Object msg)

  - ### info

    public void info(Object msg, Throwable t)

  - ### trace

    public void trace(Object msg)

  - ### trace

    public void trace(Object msg, Throwable t)

  - ### warn

    public void warn(Object msg)

  - ### warn

    public void warn(Object msg, Throwable t)

  - ### isDebugEnabled

    public boolean isDebugEnabled()

  - ### isErrorEnabled

    public boolean isErrorEnabled()

  - ### isFatalEnabled

    public boolean isFatalEnabled()

  - ### isInfoEnabled

    public boolean isInfoEnabled()

  - ### isTraceEnabled

    public boolean isTraceEnabled()

  - ### isWarnEnabled

    public boolean isWarnEnabled()

  - ### main

    public static void main(String[] args)